/*****************************************************************************
/*
/*            INSTITUTO NACIONAL PARA LA EVALUACIN DE LA EDUCACIN
/*             UNIDAD DE EVALUACIN DEL SISTEMA EDUCATIVO NACIONAL
/*             DIRECCIN GENERAL DE MEDICIN Y TRATAMIENTO DE DATOS
/*
/*                      DIRECCIN DE TRATAMIENTO DE DATOS
/*
/*_____________________________________________________________________________
/*
/*            EXAMENES DE LA CALIDAD Y EL LOGRO EDUCATIVOS (Excale)
/*                    TERCER GRADO DE SECUNDARIA (Excale 09)
/*
/*                              **** CIENCIAS ****
/*
/*                     Ciclo escolar evaluado: 2011 - 2012
/*_____________________________________________________________________________
/*
/*
/*        SINTAXIS PARA CONSTRUIR LA BASE DE DATOS DE ALUMNOS DE CIENCIAS
/*                                  EN FORMATO SAS
/*_____________________________________________________________________________
/*
/*  El programa convierte al archivo Excale09_2012_Alum_CN.txt, el cual est en
/*  formato ASCII, en una base de datos en formato SAS. El programa realiza las
/*  siguientes tareas:
/*   - Declara formatos para algunas variables
/*   - Lee las variables del archivo en formato ASCII
/*   - Declara los valores considerados en el anlisis como perdidos (missing values)
/*
/* INSTRUCCIONES
/*  Para construir la base de datos (tabla de datos) es necesario:
/*      1) Crear una carpeta de trabajo y colocar en ella al archivo Excale09_2012_Alum_CN.txt
/*         as como el archivo Excale09_2012_Alum_CN.SAS (este archivo) los cules se pueden
/*         descargar del sitio web del INEE (www.inee.edu.mx).
/*      2) Modificar la primera y segunda lnea de los comandos de este archivo
/*         (libname y filename) para actualizar el nombre de la librera y el archivo
/*         de trabajo.
/*      3) Ejecutar el programa del archivo.
/*
/*  Al finalizar, se deber contar con la base de datos (tabla de datos) Excale09_2012_Alum_CN.sas7bdat
/*
/*  Posteriormente, cuando se desee utilizar nuevamente la base Excale09_2012_Alum_CN.sas7bdat,
/*  se deber ejecutar primero el procedimiento FORMAT ("proc FORMAT") de este programa para que
/*  SAS cargue los formatos necesarios para abrir la base.
/*
/* CONTACTO:
/*
/*      Para mayor informacin o aclaracin de dudas favor de contactar a la
/*      Direccin de Tratamiento de Datos
/*      Correo electrnico: excale.analisis@inee.edu.mx
/*      Tel 5482 0900 Ext. 1082
/*      Domicilio: Jos Ma. Velasco No. 101. 3er piso. Col. San Jos Insurgentes
/*                 Del. Benito Jurez. Mxico. D.F.
/*
/* FECHA DE LIBERACIN: 18 DE MARZO DEL 2014
/*
/*  ****************************************************************************/




LIBNAME  INEE  "C:\***\";
FILENAME alum  "C:\***\Excale09_2012_Alum_CN.TXT";

PROC FORMAT;
     VALUE id_entF     1         ="Aguascalientes"
                       2         ="Baja California"
                       3         ="Baja California Sur"
                       4         ="Campeche"
                       5         ="Coahuila"
                       6         ="Colima"
                       7         ="Chiapas"
                       8         ="Chihuahua"
                       9         ="Distrito Federal"
                       10        ="Durango"
                       11        ="Guanajuato"
                       12        ="Guerrero"
                       13        ="Hidalgo"
                       14        ="Jalisco"
                       15        ="Mxico"
                       16        ="Michoacn"
                       17        ="Morelos"
                       18        ="Nayarit"
                       19        ="Nuevo Len"
                       20        ="Oaxaca"
                       21        ="Puebla"
                       22        ="Quertaro"
                       23        ="Quintana Roo"
                       24        ="San Luis Potos"
                       25        ="Sinaloa"
                       26        ="Sonora"
                       27        ="Tabasco"
                       28        ="Tamaulipas"
                       29        ="Tlaxcala"
                       30        ="Veracruz"
                       31        ="Yucatn"
                       32        ="Zacatecas";
     VALUE id_modF     1         ="Urbana Pblica"
                       2         ="Rural Pblica"
                       3         ="Educacin Indgena"
                       4         ="Curso Comunitario"
                       5         ="Privada"
                       6         ="General"
                       7         ="Tcnica"
                       8         ="Telesecundaria"
                       9         ="Privada";
     VALUE $modF       "GRAL"    ="General"
                       "TEC"     ="Tcnica"
                       "TV"      ="Telesecundaria"
                       "PRIV"    ="Privada";
     VALUE $entestF    "999999"  ="Respuesta omitida";
     VALUE sexoF       1         ="Hombre"
                       2         ="Mujer"
                       8         ="Respuesta mltiple"
                       9         ="Respuesta omitida";
     VALUE edad_acF    98        ="Respuesta mltiple"
                       99        ="Respuesta omitida";
     VALUE mes_nacF    1         ="Enero"
                       2         ="Febrero"
                       3         ="Marzo"
                       4         ="Abril"
                       5         ="Mayo"
                       6         ="Junio"
                       7         ="Julio"
                       8         ="Agosto"
                       9         ="Septiembre"
                       10        ="Octubre"
                       11        ="Noviembre"
                       12        ="Diciembre"
                       98        ="Respuesta mltiple"
                       99        ="Respuesta omitida";
     VALUE edadF       99        ="Respuesta omitida";
     VALUE edadCF      1         ="14 aos o menos"
                       2         ="15 aos"
                       3         ="16 aos"
                       4         ="17 aos o ms"
                       9         ="Respuesta omitida";
     VALUE edadNF      1         ="Edad normativa"
                       2         ="Extra-edad"
                       9         ="Respuesta omitida";
     VALUE edadAF      0         ="Sin edad anticipada"
                       1         ="Edad anticipada"
                       9         ="Respuesta omitida";
     VALUE edadEF      0         ="Sin extra edad severa"
                       1         ="Extra edad severa"
                       9         ="Respuesta omitida";
     VALUE reactF      0         ="Fallo"
                       1         ="Acierto"
                       5         ="Reactivo no alcanzado (se considera como no administrado)"
                       6         ="Reactivo no administrado por error de impresin"
                       7         ="Reactivo no administrado (No se incluy en su cuadernillo de examen)";
     VALUE nvlF        1         ="Por debajo del nivel bsico"
                       2         ="Bsico"
                       3         ="Medio"
                       4         ="Avanzado";
     VALUE nvblF       0         ="Por debajo del nivel bsico"
                       1         ="Al menos el nivel bsico";
     VALUE nvmlF       0         ="Por debajo del nivel medio"
                       1         ="Al menos el nivel medio";
RUN;



DATA INEE.Excale09_2012_Alum_CN;
   LENGTH
       NACIONAL         3
       ESCUELA          4
       ID_ENT           3
       NOM_ENT          $19
       ID_MOD           3
       MOD              $4
       ESTRATO          $6
       ENTEST           $6
       ALUMNO           5
       ID_INSTR         $15
       SEXO             3
       EDAD_AC          3
       MES_NAC          3
       EDAD             8
       EDAD_ACC         3
       EDAD_N           3
       EDAD_ANT         3
       EDAD_EES         3
       W_ALU            8
       SNA_01           3
       SNA_02           3
       SNA_03           3
       SNA_04           3
       SNA_05           3
       SNA_06           3
       SNA_07           3
       SNA_08           3
       SNA_09           3
       SNA_10           3
       SNA_11           3
       SNA_12           3
       SNB_01           3
       SNB_02           3
       SNB_03           3
       SNB_04           3
       SNB_05           3
       SNB_06           3
       SNB_07           3
       SNB_08           3
       SNB_09           3
       SNB_10           3
       SNB_11           3
       SNB_12           3
       SNC_01           3
       SNC_02           3
       SNC_03           3
       SNC_04           3
       SNC_05           3
       SNC_06           3
       SNC_07           3
       SNC_08           3
       SNC_09           3
       SNC_10           3
       SNC_11           3
       SNC_12           3
       SND_01           3
       SND_02           3
       SND_03           3
       SND_04           3
       SND_05           3
       SND_06           3
       SND_07           3
       SND_08           3
       SND_09           3
       SND_10           3
       SND_11           3
       SND_12           3
       SNE_01           3
       SNE_02           3
       SNE_03           3
       SNE_04           3
       SNE_05           3
       SNE_06           3
       SNE_07           3
       SNE_08           3
       SNE_09           3
       SNE_10           3
       SNE_11           3
       SNE_12           3
       SNF_01           3
       SNF_02           3
       SNF_03           3
       SNF_04           3
       SNF_05           3
       SNF_06           3
       SNF_07           3
       SNF_08           3
       SNF_09           3
       SNF_10           3
       SNF_11           3
       SNF_12           3
       PV1CN            8
       PV2CN            8
       PV3CN            8
       PV4CN            8
       PV5CN            8
       CNNVL1           3
       CNNVL2           3
       CNNVL3           3
       CNNVL4           3
       CNNVL5           3
       CNNVBL1          3
       CNNVBL2          3
       CNNVBL3          3
       CNNVBL4          3
       CNNVBL5          3
       CNNVML1          3
       CNNVML2          3
       CNNVML3          3
       CNNVML4          3
       CNNVML5          3
       WVARSTRR         3
       W_FSTR1          8
       W_FSTR2          8
       W_FSTR3          8
       W_FSTR4          8
       W_FSTR5          8
       W_FSTR6          8
       W_FSTR7          8
       W_FSTR8          8
       W_FSTR9          8
       W_FSTR10         8
       W_FSTR11         8
       W_FSTR12         8
       W_FSTR13         8
       W_FSTR14         8
       W_FSTR15         8
       W_FSTR16         8
       W_FSTR17         8
       W_FSTR18         8
       W_FSTR19         8
       W_FSTR20         8
       W_FSTR21         8
       W_FSTR22         8
       W_FSTR23         8
       W_FSTR24         8
       W_FSTR25         8
       W_FSTR26         8
       W_FSTR27         8
       W_FSTR28         8
       W_FSTR29         8
       W_FSTR30         8
       W_FSTR31         8
       W_FSTR32         8
       W_FSTR33         8
       W_FSTR34         8
       W_FSTR35         8
       W_FSTR36         8
       W_FSTR37         8
       W_FSTR38         8
       W_FSTR39         8
       W_FSTR40         8
       W_FSTR41         8
       W_FSTR42         8
       W_FSTR43         8
       W_FSTR44         8
       W_FSTR45         8
       W_FSTR46         8
       W_FSTR47         8
       W_FSTR48         8
       W_FSTR49         8
       W_FSTR50         8
       W_FSTR51         8
       W_FSTR52         8
       W_FSTR53         8
       W_FSTR54         8
       W_FSTR55         8
       W_FSTR56         8
       W_FSTR57         8
       W_FSTR58         8
       W_FSTR59         8
       W_FSTR60         8
       W_FSTR61         8
       W_FSTR62         8
       W_FSTR63         8
       W_FSTR64         8
       W_FSTR65         8
       W_FSTR66         8
       W_FSTR67         8
       W_FSTR68         8
       W_FSTR69         8
       W_FSTR70         8
       W_FSTR71         8
       W_FSTR72         8
       W_FSTR73         8
       W_FSTR74         8
       W_FSTR75         8
       W_FSTR76         8
       W_FSTR77         8
       W_FSTR78         8
       W_FSTR79         8
       W_FSTR80         8
       W_FSTR81         8
       W_FSTR82         8
       W_FSTR83         8
       W_FSTR84         8
       W_FSTR85         8
       W_FSTR86         8
       W_FSTR87         8
       W_FSTR88         8
       W_FSTR89         8
       W_FSTR90         8
       W_FSTR91         8
       W_FSTR92         8
       W_FSTR93         8
       W_FSTR94         8
       W_FSTR95         8
       W_FSTR96         8
       W_FSTR97         8
       W_FSTR98         8
       W_FSTR99         8
       W_FSTR100        8

 ;



INFILE alum MISSOVER LINESIZE = 1324;
   INPUT
      NACIONAL            1 - 1
      ESCUELA             2 - 5
      ID_ENT              6 - 7
      NOM_ENT             8 - 26
      ID_MOD             27 - 27
      MOD                28 - 31
      ESTRATO            32 - 37
      ENTEST             38 - 43
      ALUMNO             44 - 48
      ID_INSTR           49 - 63
      SEXO               64 - 64
      EDAD_AC            65 - 66
      MES_NAC            67 - 68
      EDAD               69 - 79
      EDAD_ACC           80 - 80
      EDAD_N             81 - 81
      EDAD_ANT           82 - 82
      EDAD_EES           83 - 83
      W_ALU              84 - 94
      SNA_01             95 - 95
      SNA_02             96 - 96
      SNA_03             97 - 97
      SNA_04             98 - 98
      SNA_05             99 - 99
      SNA_06            100 - 100
      SNA_07            101 - 101
      SNA_08            102 - 102
      SNA_09            103 - 103
      SNA_10            104 - 104
      SNA_11            105 - 105
      SNA_12            106 - 106
      SNB_01            107 - 107
      SNB_02            108 - 108
      SNB_03            109 - 109
      SNB_04            110 - 110
      SNB_05            111 - 111
      SNB_06            112 - 112
      SNB_07            113 - 113
      SNB_08            114 - 114
      SNB_09            115 - 115
      SNB_10            116 - 116
      SNB_11            117 - 117
      SNB_12            118 - 118
      SNC_01            119 - 119
      SNC_02            120 - 120
      SNC_03            121 - 121
      SNC_04            122 - 122
      SNC_05            123 - 123
      SNC_06            124 - 124
      SNC_07            125 - 125
      SNC_08            126 - 126
      SNC_09            127 - 127
      SNC_10            128 - 128
      SNC_11            129 - 129
      SNC_12            130 - 130
      SND_01            131 - 131
      SND_02            132 - 132
      SND_03            133 - 133
      SND_04            134 - 134
      SND_05            135 - 135
      SND_06            136 - 136
      SND_07            137 - 137
      SND_08            138 - 138
      SND_09            139 - 139
      SND_10            140 - 140
      SND_11            141 - 141
      SND_12            142 - 142
      SNE_01            143 - 143
      SNE_02            144 - 144
      SNE_03            145 - 145
      SNE_04            146 - 146
      SNE_05            147 - 147
      SNE_06            148 - 148
      SNE_07            149 - 149
      SNE_08            150 - 150
      SNE_09            151 - 151
      SNE_10            152 - 152
      SNE_11            153 - 153
      SNE_12            154 - 154
      SNF_01            155 - 155
      SNF_02            156 - 156
      SNF_03            157 - 157
      SNF_04            158 - 158
      SNF_05            159 - 159
      SNF_06            160 - 160
      SNF_07            161 - 161
      SNF_08            162 - 162
      SNF_09            163 - 163
      SNF_10            164 - 164
      SNF_11            165 - 165
      SNF_12            166 - 166
      PV1CN             167 - 174
      PV2CN             175 - 182
      PV3CN             183 - 190
      PV4CN             191 - 198
      PV5CN             199 - 206
      CNNVL1            207 - 207
      CNNVL2            208 - 208
      CNNVL3            209 - 209
      CNNVL4            210 - 210
      CNNVL5            211 - 211
      CNNVBL1           212 - 212
      CNNVBL2           213 - 213
      CNNVBL3           214 - 214
      CNNVBL4           215 - 215
      CNNVBL5           216 - 216
      CNNVML1           217 - 217
      CNNVML2           218 - 218
      CNNVML3           219 - 219
      CNNVML4           220 - 220
      CNNVML5           221 - 221
      WVARSTRR          222 - 224
      W_FSTR1           225 - 235
      W_FSTR2           236 - 246
      W_FSTR3           247 - 257
      W_FSTR4           258 - 268
      W_FSTR5           269 - 279
      W_FSTR6           280 - 290
      W_FSTR7           291 - 301
      W_FSTR8           302 - 312
      W_FSTR9           313 - 323
      W_FSTR10          324 - 334
      W_FSTR11          335 - 345
      W_FSTR12          346 - 356
      W_FSTR13          357 - 367
      W_FSTR14          368 - 378
      W_FSTR15          379 - 389
      W_FSTR16          390 - 400
      W_FSTR17          401 - 411
      W_FSTR18          412 - 422
      W_FSTR19          423 - 433
      W_FSTR20          434 - 444
      W_FSTR21          445 - 455
      W_FSTR22          456 - 466
      W_FSTR23          467 - 477
      W_FSTR24          478 - 488
      W_FSTR25          489 - 499
      W_FSTR26          500 - 510
      W_FSTR27          511 - 521
      W_FSTR28          522 - 532
      W_FSTR29          533 - 543
      W_FSTR30          544 - 554
      W_FSTR31          555 - 565
      W_FSTR32          566 - 576
      W_FSTR33          577 - 587
      W_FSTR34          588 - 598
      W_FSTR35          599 - 609
      W_FSTR36          610 - 620
      W_FSTR37          621 - 631
      W_FSTR38          632 - 642
      W_FSTR39          643 - 653
      W_FSTR40          654 - 664
      W_FSTR41          665 - 675
      W_FSTR42          676 - 686
      W_FSTR43          687 - 697
      W_FSTR44          698 - 708
      W_FSTR45          709 - 719
      W_FSTR46          720 - 730
      W_FSTR47          731 - 741
      W_FSTR48          742 - 752
      W_FSTR49          753 - 763
      W_FSTR50          764 - 774
      W_FSTR51          775 - 785
      W_FSTR52          786 - 796
      W_FSTR53          797 - 807
      W_FSTR54          808 - 818
      W_FSTR55          819 - 829
      W_FSTR56          830 - 840
      W_FSTR57          841 - 851
      W_FSTR58          852 - 862
      W_FSTR59          863 - 873
      W_FSTR60          874 - 884
      W_FSTR61          885 - 895
      W_FSTR62          896 - 906
      W_FSTR63          907 - 917
      W_FSTR64          918 - 928
      W_FSTR65          929 - 939
      W_FSTR66          940 - 950
      W_FSTR67          951 - 961
      W_FSTR68          962 - 972
      W_FSTR69          973 - 983
      W_FSTR70          984 - 994
      W_FSTR71          995 - 1005
      W_FSTR72         1006 - 1016
      W_FSTR73         1017 - 1027
      W_FSTR74         1028 - 1038
      W_FSTR75         1039 - 1049
      W_FSTR76         1050 - 1060
      W_FSTR77         1061 - 1071
      W_FSTR78         1072 - 1082
      W_FSTR79         1083 - 1093
      W_FSTR80         1094 - 1104
      W_FSTR81         1105 - 1115
      W_FSTR82         1116 - 1126
      W_FSTR83         1127 - 1137
      W_FSTR84         1138 - 1148
      W_FSTR85         1149 - 1159
      W_FSTR86         1160 - 1170
      W_FSTR87         1171 - 1181
      W_FSTR88         1182 - 1192
      W_FSTR89         1193 - 1203
      W_FSTR90         1204 - 1214
      W_FSTR91         1215 - 1225
      W_FSTR92         1226 - 1236
      W_FSTR93         1237 - 1247
      W_FSTR94         1248 - 1258
      W_FSTR95         1259 - 1269
      W_FSTR96         1270 - 1280
      W_FSTR97         1281 - 1291
      W_FSTR98         1292 - 1302
      W_FSTR99         1303 - 1313
      W_FSTR100        1314 - 1324
;




   LABEL
      NACIONAL       = "Variable auxiliar para obtener promedios nacionales"
      ESCUELA        = "Identificador de la escuela"
      ID_ENT         = "Entidad federativa (identificador numrico)"
      NOM_ENT        = "Entidad federativa"
      ID_MOD         = "Estrato escolar o Modalidad educativa (identificador numrico)"
      MOD            = "Estrato escolar o Modalidad educativa"
      ESTRATO        = "Estrato de muestreo. Se construy con ENTIDAD, MODALIDAD. No es comn a todas las tablas pues en algunos casos se colapsaron registros"
      ENTEST         = "Estratos del diseo muestral con el que se estiman los parmetros y errores estndar (Entidad federativa-Modalidad)"
      ALUMNO         = "Identificador del alumno"
      ID_INSTR       = "Identificador del cuadernillo de examen"
      SEXO           = "Sexo del alumno"
      EDAD_AC        = "Edad en aos cumplidos (al momento de la aplicacin)"
      MES_NAC        = "Mes de nacimiento del alumno"
      EDAD           = "Edad del alumno al mes de mayo de 2012, en aos (al momento de la aplicacin). Incluye los meses cumplidos (decimales)"
      EDAD_ACC       = "Edad en aos cumplidos codificada (con recodificacin y colapsamiento de categoras de la variable EDAD_AC)"
      EDAD_N         = "Edad normativa. Supone el ingreso al primero de primaria con 6 aos cumplidos (o menos) al primero de septiembre"
      EDAD_ANT       = "Edad anticipada. Variable indicadora de los alumnos que ingresaron al primero de primaria con menos de 6 aos cumplidos al primero de septiembre"
      EDAD_EES       = "Extra edad severa. Variable indicadora de los alumnos que tienen dos aos o ms de retraso en el sistema escolar"
      W_ALU          = "Peso muestral o ponderador del alumno"
      SNA_01         = "Reconocer caractersticas que los seres humanos comparten con otros seres vivos"
      SNA_02         = "Reconocer una accin que promueve el desarrollo sustentable"
      SNA_03         = "Identificar un caso en que la ciencia y la tecnologa atienden una necesidad"
      SNA_04         = "Identificar el uso del microscopio en la atencin de un problema de la salud"
      SNA_05         = "Reconocer un rgano que participa en el proceso de digestin"
      SNA_06         = "Identificar la relacin ciencia-tecnologa en la manipulacin gentica"
      SNA_07         = "Identificar un argumento adecuado para evitar el consumo de tabaco"
      SNA_08         = "Reconocer la relacin entre nutricin y respiracin"
      SNA_09         = "Reconocer una accin para prevenir el sobrepeso en la adolescencia"
      SNA_10         = "Reconocer la relacin complementaria de los procesos de respiracin y fotosntesis"
      SNA_11         = "Identificar la causa posible de una infeccin de transmisin sexual"
      SNA_12         = "Identificar una forma en que la alimentacin ayuda a controlar una enfermedad"
      SNB_01         = "Identificar la importancia de clasificar a los seres vivos de acuerdo a sus caractersticas"
      SNB_02         = "Identificar una evidencia usada por Darwin para explicar la evolucin"
      SNB_03         = "Reconocer un platillo elaborado con alimentos nutritivos originarios de Mexico"
      SNB_04         = "Identificar una consecuencia del consumo excesivo de alimentos"
      SNB_05         = "Reconocer el beneficio de aplicar una tcnica de conservacin de alimentos"
      SNB_06         = "Reconocer una adaptacin en las estructuras respiratorias de los animales"
      SNB_07         = "Reconocer diferencias entre reproduccin sexual y asexual"
      SNB_08         = "Reconocer la importancia de un avance tecnolgico que reduce la contaminacin del aire"
      SNB_09         = "Reconocer una accin que favorece la equidad entre hombres y mujeres"
      SNB_10         = "Identificar alimentos mexicanos con un aporte nutrimental adecuado para adolescentes"
      SNB_11         = "Identificar la funcin de los genes en la herencia biolgica"
      SNB_12         = "Reconocer una consecuencia en la salud derivada del consumo de tabaco"
      SNC_01         = "Reconocer condiciones que explican por qu Mxico es megadiverso"
      SNC_02         = "Identificar una actividad humana que ocasiona la prdida de biodiversidad"
      SNC_03         = "Identificar una estrategia de aprovechamiento sustentable de la biodiversidad"
      SNC_04         = "Reconocer la accin de un grupo cultural que favorece la conservacin de ecosistemas"
      SNC_05         = "Reconocer una consecuencia de la disminucin de una poblacin en un ecosistema"
      SNC_06         = "Reconocer una actitud cientfica a partir de la investigacin de Darwin"
      SNC_07         = "Identificar semejanzas en los rasgos de los fsiles y de los seres vivos actuales"
      SNC_08         = "Identificar un argumento que explique la biodiversidad como resultado de la evolucin"
      SNC_09         = "Identificar los elementos indispensables para el proceso de fotosntesis"
      SNC_10         = "Identificar la relacin entre depredadores y presas como evidencia de evolucin"
      SNC_11         = "Identificar el proceso de respiracin en el ser humano"
      SNC_12         = "Identificar una accin para prevenir enfermedades respiratorias"
      SND_01         = "Reconocer la importancia biolgica de la riqueza de especies de Mxico"
      SND_02         = "Reconocer una accin que favorece la conservacin de la biodiversidad"
      SND_03         = "Reconocer la forma en que un grupo cultural genera conocimiento sobre los seres vivos"
      SND_04         = "Identificar un ejemplo de seleccin artificial semejante a otro de seleccin natural"
      SND_05         = "Reconocer la importancia histrica de un avance tecnolgico"
      SND_06         = "Identificar la importancia del microscopio en el estudio de microorganismos"
      SND_07         = "Reconocer la importancia de las plantas en las cadenas alimentarias"
      SND_08         = "Identificar una forma de promover el consumo sustentable de un recurso alimentario"
      SND_09         = "Identificar la acumulacin de CO2 en la atmsfera como causa del efecto invernadero"
      SND_10         = "Identificar una manifestacin del erotismo en la adolescencia"
      SND_11         = "Identificar las implicaciones econmicas de los embarazos en la adolescencia"
      SND_12         = "Identificar la relacin entre una adaptacin reproductiva y la evolucin"
      SNE_01         = "Reconocer una clasificacin de los animales de acuerdo al ecosistema en que habitan"
      SNE_02         = "Identificar las adaptaciones de un ser vivo como resultado de la seleccin natural"
      SNE_03         = "Identificar caractersticas de seres vivos auttrofos y hetertrofos"
      SNE_04         = "Identificar un men que refiere una dieta equilibrada y completa"
      SNE_05         = "Identificar un ejemplo de la relacin entre las adaptaciones en la nutricin de un ser vivo y las caractersticas del ambiente en que vive"
      SNE_06         = "Identificar un problema de salud ocasionado por la contaminacin del aire"
      SNE_07         = "Reconocer la importancia de los organismos fermentadores en la produccin de bebidas"
      SNE_08         = "Identificar cmo la atencin de enfermedades respiratorias mejora la esperanza de vida"
      SNE_09         = "Identificar el mtodo anticonceptivo menos recomendable"
      SNE_10         = "Reconocer una recomendacin para evitar prcticas de riesgo relacionadas con las ITS"
      SNE_11         = "Distinguir entre fenotipo y genotipo"
      SNE_12         = "Identificar un beneficio de la aplicacin de la tecnologa en la reproduccin de plantas"
      SNF_01         = "Reconocer algunas caractersticas que distinguen a los seres vivos"
      SNF_02         = "Identificar una relacin entre los componentes de un ecosistema"
      SNF_03         = "Reconocer los nutrimentos bsicos que aportan algunos alimentos"
      SNF_04         = "Identificar la relacin entre diferentes seres vivos y su forma de nutricin"
      SNF_05         = "Identificar una aplicacin tecnolgica que atiende una necesidad alimentaria"
      SNF_06         = "Identificar semejanzas en las estructuras respiratorias de diferentes animales"
      SNF_07         = "Reconocer a la reproduccin sexual como fuente de variabilidad en los seres vivos"
      SNF_08         = "Reconocer los efectos en el ambiente producidos por un  avance tecnolgico para atender la salud"
      SNF_09         = "Reconocer la importancia de decidir de manera responsable el nmero de hijos"
      SNF_10         = "Identificar las cuatro potencialidades de la sexualidad humana"
      SNF_11         = "Reconocer la relacin entre un ser vivo, su tipo de respiracin y su ambiente"
      SNF_12         = "Identificar una semejanza entre la mitosis y la meiosis"
      PV1CN          = "Primer valor plausible de Ciencias"
      PV2CN          = "Segundo valor plausible de Ciencias"
      PV3CN          = "Tercer valor plausible de Ciencias"
      PV4CN          = "Cuarto valor plausible de Ciencias"
      PV5CN          = "Quinto valor plausible de Ciencias"
      CNNVL1         = "Nivel de logro en Ciencias. Asociado a PV1CN. (Cuatro niveles)"
      CNNVL2         = "Nivel de logro en Ciencias. Asociado a PV2CN. (Cuatro niveles)"
      CNNVL3         = "Nivel de logro en Ciencias. Asociado a PV3CN. (Cuatro niveles)"
      CNNVL4         = "Nivel de logro en Ciencias. Asociado a PV4CN. (Cuatro niveles)"
      CNNVL5         = "Nivel de logro en Ciencias. Asociado a PV5CN. (Cuatro niveles)"
      CNNVBL1        = "Identifica si el alumno pertenece al menos al nivel bsico de logro en Ciencias. Asociado a PV1CN."
      CNNVBL2        = "Identifica si el alumno pertenece al menos al nivel bsico de logro en Ciencias. Asociado a PV2CN."
      CNNVBL3        = "Identifica si el alumno pertenece al menos al nivel bsico de logro en Ciencias. Asociado a PV3CN."
      CNNVBL4        = "Identifica si el alumno pertenece al menos al nivel bsico de logro en Ciencias. Asociado a PV4CN."
      CNNVBL5        = "Identifica si el alumno pertenece al menos al nivel bsico de logro en Ciencias. Asociado a PV5CN."
      CNNVML1        = "Identifica si el alumno pertenece al menos al nivel medio de logro en Ciencias. Asociado a PV1CN."
      CNNVML2        = "Identifica si el alumno pertenece al menos al nivel medio de logro en Ciencias. Asociado a PV2CN."
      CNNVML3        = "Identifica si el alumno pertenece al menos al nivel medio de logro en Ciencias. Asociado a PV3CN."
      CNNVML4        = "Identifica si el alumno pertenece al menos al nivel medio de logro en Ciencias. Asociado a PV4CN."
      CNNVML5        = "Identifica si el alumno pertenece al menos al nivel medio de logro en Ciencias. Asociado a PV5CN."
      WVARSTRR       = "Identificador del pseudoestrato (1 a 100) definido para el clculo de errores estndar con el mtodo de remuestreo BRR"
      W_FSTR1        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR2        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR3        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR4        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR5        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR6        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR7        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR8        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR9        = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR10       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR11       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR12       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR13       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR14       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR15       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR16       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR17       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR18       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR19       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR20       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR21       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR22       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR23       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR24       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR25       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR26       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR27       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR28       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR29       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR30       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR31       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR32       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR33       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR34       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR35       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR36       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR37       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR38       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR39       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR40       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR41       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR42       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR43       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR44       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR45       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR46       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR47       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR48       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR49       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR50       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR51       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR52       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR53       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR54       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR55       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR56       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR57       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR58       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR59       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR60       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR61       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR62       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR63       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR64       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR65       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR66       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR67       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR68       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR69       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR70       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR71       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR72       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR73       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR74       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR75       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR76       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR77       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR78       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR79       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR80       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR81       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR82       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR83       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR84       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR85       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR86       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR87       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR88       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR89       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR90       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR91       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR92       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR93       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR94       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR95       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR96       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR97       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR98       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR99       = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
      W_FSTR100      = "Pesos muestrales para el clculo de errores estndar (Mtodo BRR)"
;






   FORMAT
       NACIONAL          1.
       ESCUELA           4.
       ID_ENT            id_entF.
       NOM_ENT           $char19.
       ID_MOD            id_modF.
       MOD               $modF.
       ESTRATO           $char6.
       ENTEST            $entestF.
       ALUMNO            5.
       ID_INSTR          $char16.
       SEXO              sexoF.
       EDAD_AC           edad_acF.
       MES_NAC           mes_nacF.
       EDAD              edadF.
       EDAD_ACC          edadCF.
       EDAD_N            edadNF.
       EDAD_ANT          edadAF.
       EDAD_EES          edadEF.
       SNA_01            reactF.
       SNA_02            reactF.
       SNA_03            reactF.
       SNA_04            reactF.
       SNA_05            reactF.
       SNA_06            reactF.
       SNA_07            reactF.
       SNA_08            reactF.
       SNA_09            reactF.
       SNA_10            reactF.
       SNA_11            reactF.
       SNA_12            reactF.
       SNB_01            reactF.
       SNB_02            reactF.
       SNB_03            reactF.
       SNB_04            reactF.
       SNB_05            reactF.
       SNB_06            reactF.
       SNB_07            reactF.
       SNB_08            reactF.
       SNB_09            reactF.
       SNB_10            reactF.
       SNB_11            reactF.
       SNB_12            reactF.
       SNC_01            reactF.
       SNC_02            reactF.
       SNC_03            reactF.
       SNC_04            reactF.
       SNC_05            reactF.
       SNC_06            reactF.
       SNC_07            reactF.
       SNC_08            reactF.
       SNC_09            reactF.
       SNC_10            reactF.
       SNC_11            reactF.
       SNC_12            reactF.
       SND_01            reactF.
       SND_02            reactF.
       SND_03            reactF.
       SND_04            reactF.
       SND_05            reactF.
       SND_06            reactF.
       SND_07            reactF.
       SND_08            reactF.
       SND_09            reactF.
       SND_10            reactF.
       SND_11            reactF.
       SND_12            reactF.
       SNE_01            reactF.
       SNE_02            reactF.
       SNE_03            reactF.
       SNE_04            reactF.
       SNE_05            reactF.
       SNE_06            reactF.
       SNE_07            reactF.
       SNE_08            reactF.
       SNE_09            reactF.
       SNE_10            reactF.
       SNE_11            reactF.
       SNE_12            reactF.
       SNF_01            reactF.
       SNF_02            reactF.
       SNF_03            reactF.
       SNF_04            reactF.
       SNF_05            reactF.
       SNF_06            reactF.
       SNF_07            reactF.
       SNF_08            reactF.
       SNF_09            reactF.
       SNF_10            reactF.
       SNF_11            reactF.
       SNF_12            reactF.
       CNNVL1            nvlF.
       CNNVL2            nvlF.
       CNNVL3            nvlF.
       CNNVL4            nvlF.
       CNNVL5            nvlF.
       CNNVBL1           nvblF.
       CNNVBL2           nvblF.
       CNNVBL3           nvblF.
       CNNVBL4           nvblF.
       CNNVBL5           nvblF.
       CNNVML1           nvmlF.
       CNNVML2           nvmlF.
       CNNVML3           nvmlF.
       CNNVML4           nvmlF.
       CNNVML5           nvmlF.
       wvarstrr          3.
   ;

/**************************************************************************
/*  Definicin de valores perdidos
/*   .N o N = No Administrado o no alcanzado.
/*   .M o M = Respuesta Mltiple.
/*   .S o S = Respuesta omitida (No contestado).
/*************************************************************************/
   IF  sexo = 8 THEN  sexo = .M;
   IF  edad_ac = 98 THEN  edad_ac = .M;
   IF  mes_nac = 98 THEN  mes_nac = .M;
   IF  entest = "999999" THEN  entest = .S;


   ARRAY perdidos1(5)  sexo edad_acc edad_n edad_ant edad_ant;
   DO  i=1 TO 5;
         IF perdidos1{i}=9 THEN  perdidos1{i}= .S;
   END;

   ARRAY perdidos2(3)  edad edad_ac mes_nac;
   DO  i=1 TO 3;
         IF perdidos2{i}=99 THEN  perdidos2{i}= .S;
   END;


   ARRAY perdidos3(72)
                  SNA_01 SNA_02 SNA_03 SNA_04 SNA_05 SNA_06 SNA_07 SNA_08 SNA_09 SNA_10
                  SNA_11 SNA_12 SNB_01 SNB_02 SNB_03 SNB_04 SNB_05 SNB_06 SNB_07 SNB_08
                  SNB_09 SNB_10 SNB_11 SNB_12 SNC_01 SNC_02 SNC_03 SNC_04 SNC_05 SNC_06
                  SNC_07 SNC_08 SNC_09 SNC_10 SNC_11 SNC_12 SND_01 SND_02 SND_03 SND_04
                  SND_05 SND_06 SND_07 SND_08 SND_09 SND_10 SND_11 SND_12 SNE_01 SNE_02
                  SNE_03 SNE_04 SNE_05 SNE_06 SNE_07 SNE_08 SNE_09 SNE_10 SNE_11 SNE_12
                  SNF_01 SNF_02 SNF_03 SNF_04 SNF_05 SNF_06 SNF_07 SNF_08 SNF_09 SNF_10
                  SNF_11 SNF_12;
   DO  i=1 TO 72;
          IF perdidos3{i} = 5   THEN  perdidos3{i} = .N;
          IF perdidos3{i} = 6   THEN  perdidos3{i} = .N;
          IF perdidos3{i} = 7   THEN  perdidos3{i} = .N;
          IF perdidos3{i} = 8   THEN  perdidos3{i} = .M;
          IF perdidos3{i} = 9   THEN  perdidos3{i} = .S;
   END;

   drop i;
RUN;
